#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin>>n;
    int a, b, c;
    cin >> a >> b >> c;
    cout << max ({abs(a-b), abs(b-c), abs(a-c)}) << endl;
    cout<< "1 2 3"<<"\n";
}
